Name:		stopmotion
Version:	0.8.7
Release:	%mkrel 2
Summary:	An application for creating stopmotion animations
Group:		Video/Editors and Converters
License:	GPLv2
URL:		https://linuxstopmotion.sourceforge.net/
Source0:	https://invent.kde.org/multimedia/stopmotion/-/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		stopmotion-0.8.6-install.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	libtar-devel
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

Requires:	vgrabbj

%description
Stopmotion is a free application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the hard drive, add sound effects and export the animation
to different video formats such as mpeg or avi.

%prep
%autosetup -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README.md
%license COPYING
%{_docdir}/%{name}/manual/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.xpm
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Mar 16 2025 wally <wally> 0.8.7-2.mga10
+ Revision: 2165028
- rebuild for libxml2 2.13.6

* Tue Aug 06 2024 daviddavid <daviddavid> 0.8.7-1.mga10
+ Revision: 2083835
- new version: 0.8.7

* Fri Feb 03 2023 daviddavid <daviddavid> 0.8.6-1.mga9
+ Revision: 1937784
- new version: 0.8.6 (from https://invent.kde.org/multimedia/stopmotion)
- switch finally to Qt5 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 0.8.4-3.mga9
+ Revision: 1841368
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.8.4-2.mga8
+ Revision: 1521867
- Mageia 8 Mass Rebuild

* Thu Jan 03 2019 daviddavid <daviddavid> 0.8.4-1.mga7
+ Revision: 1348848
- new version: 0.8.4

* Sun Sep 23 2018 umeabot <umeabot> 0.8.3-2.mga7
+ Revision: 1301208
- Mageia 7 Mass Rebuild

* Sun Sep 24 2017 daviddavid <daviddavid> 0.8.3-1.mga7
+ Revision: 1158748
- new version: 0.8.3

* Mon Aug 15 2016 daviddavid <daviddavid> 0.8.1-0.20160424.1.mga6
+ Revision: 1046480
- new version: 0.8.1.git20160424
- add patch to fix install of manpage and svg icon
- use upstream svg icon
- fix License

* Wed Feb 17 2016 umeabot <umeabot> 0.6.2.git20121125-7.mga6
+ Revision: 962950
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 tv <tv> 0.6.2.git20121125-6.mga6
+ Revision: 894655
- fix build: exclude some doc

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2.git20121125-5.mga5
+ Revision: 748503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2.git20121125-4.mga5
+ Revision: 689551
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2.git20121125-3.mga4
+ Revision: 519253
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2.git20121125-2.mga3
+ Revision: 383507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 0.6.2.git20121125-1.mga3
+ Revision: 321901
- new SVG icon from Debian
- new build system
- new version from git
- fix rpm group

* Fri May 13 2011 dmorgan <dmorgan> 0.6.2-3.mga1
+ Revision: 97878
- imported package stopmotion


* Sat Oct 10 2009 Funda Wang <fundawang@mandriva.org> 0.6.2-3mdv2010.0
+ Revision: 456492
- requires vgrabbj (bug#52069)

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.6.2-2mdv2010.0
+ Revision: 434136
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Aug 06 2008 Funda Wang <fundawang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 264143
- New version 0.6.2
- use new compile flags

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri May 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-4mdv2008.0
+ Revision: 22562
- bump release
- doh, set PATH for configure too
- ok, let's do it this way
- bump release
- don't buildconflicts qt3-devel as SDL_image-devel implies it, just fix PATH instead
- correct fix for qmake (give path to qt4 version, don't require qt3 version)

* Wed Apr 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 18380
- bump release for buildsystem weirdness
- lrelease is in /usr/lib not lib64 on x86-64
- buildrequires libqt3-devel (for /usr/bin/qmake)
- generate and install fd.o-compliant icons
- 0.6.0


* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-08-25 15:59:24 (58098)
- fix summary macro use in menu
- compile with %%{optflags}
- cosmetics

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 15:12:10 (43273)
- import stopmotion-0.5.3-1mdv2007.0

* Thu Jun 29 2006 Guillaume Bedot <littletux@mandriva.org> > 0.5.3-1mdv2007.0
- 0.5.3
- xdg menu

* Sat May 06 2006 Guillaume Bedot <littletux@mandriva.org> 0.5.1-1mdk
- New release 0.5.1
- Complete source0 URL

* Thu Apr 20 2006 Guillaume Bedot <littletux@mandriva.org> 0.5.0-3mdk
- Fix paths to translations and docs
- Use of qt4-linguist instead of qt3

* Wed Apr 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.0-2mdk
- Fix BuildRequires

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 0.5.0-1mdk
- 0.5.0

* Mon Mar 06 2006 Lenny Cartier <lenny@mandriva.com> 0.4.1-1mdk
- 0.4.1

* Sat Feb 11 2006 Eskild Hustvedt <eskild@mandriva.org 0.4.0-1mdk
- New version 0.4.0

* Sun Jan 22 2006 Eskild Hustvedt <eskild@mandriva.org> 0.3.4-1mdk
- 0.3.4
- Drop patch0 (now uses some perl magic in the spec instead)

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 0.3.3-1mdk
- 0.3.3

* Thu Dec 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-4mdk
- Fix  buildRequires

* Wed Oct 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-3mdk
- Fix BuildRequires

* Sun Aug 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.1-2mdk
- Bah, forgot to rediff p0 even though it says MUST BE REDIFFED ON A NEW RELEASE! in the spec

* Sun Aug 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.1-1mdk
- New version 0.3.1

* Sun May 22 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.0-2mdk
- Shut rpmlint up

* Sat May 21 2005 Eskild Hustvedt <eskild@mandrake.org> 0.3.0-1mdk
- Initial Mandriva Linux package

